Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui
Class PreferenceBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.PreferenceBean

All Implemented Interfaces:
  java.lang.Comparable, DynamicBean

    public class PreferenceBean

extends java.lang.Object
implements java.lang.Comparable, DynamicBean

Version:
  $Revision: 11068 $
Author:
  Julien Viet

Constructor Summary
`PreferenceBean(org.jboss.portal.portlet.info.PreferenceInfo prefInfo, java.util.List<java.lang.String> value)`

Method Summary
`void` | `appendLine()`
`int` | `compareTo(java.lang.Object o)`
`void` | `deleteLine(javax.faces.event.ActionEvent event)`
`org.jboss.portal.common.i18n.LocalizedString` | `getDescription()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`java.util.List<java.lang.String>` | `getIndices()`
`java.lang.String` | `getLine()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getType(java.lang.Object propertyName)` Return the type of the specified property.
`java.util.List<java.lang.String>` | `getValue()`
`PropertyValue` | `getValue(java.lang.Object propertyName)` Return the value of the specified property.
`boolean` | `isReadOnly()`
`boolean` | `isStale()`
`void` | `select()`
`void` | `setDescription(org.jboss.portal.common.i18n.LocalizedString description)`
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)`
`void` | `setLine(java.lang.String line)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setValue(java.util.List<java.lang.String> value)`
`boolean` | `setValue(java.lang.Object propertyName, java.lang.Object value)` Set the value of the specified property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferenceBean

    public PreferenceBean(org.jboss.portal.portlet.info.PreferenceInfo prefInfo,
                          java.util.List<java.lang.String> value)

Method Detail

### getName

    public java.lang.String getName()

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### setDisplayName

    public void setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)

### getDescription

    public org.jboss.portal.common.i18n.LocalizedString getDescription()

### setDescription

    public void setDescription(org.jboss.portal.common.i18n.LocalizedString description)

### getValue

    public java.util.List<java.lang.String> getValue()

### setValue

    public void setValue(java.util.List<java.lang.String> value)

### isStale

    public boolean isStale()

### getIndices

    public java.util.List<java.lang.String> getIndices()

### getLine

    public java.lang.String getLine()

### setLine

    public void setLine(java.lang.String line)

### select

    public void select()

### deleteLine

    public void deleteLine(javax.faces.event.ActionEvent event)

### appendLine

    public void appendLine()

### getType

    public java.lang.Class getType(java.lang.Object propertyName)
                            throws java.lang.IllegalArgumentException

  Description copied from interface: `DynamicBean`
  Return the type of the specified property.

  Specified by:
    `getType` in interface `DynamicBean`
  Parameters:
    `propertyName` - the property name
  Returns:
    the type of the specified property or null
  Throws:
    `java.lang.IllegalArgumentException` - if the property name is null

### getValue

    public PropertyValue getValue(java.lang.Object propertyName)
                           throws java.lang.IllegalArgumentException

  Description copied from interface: `DynamicBean`
  Return the value of the specified property.

  Specified by:
    `getValue` in interface `DynamicBean`
  Parameters:
    `propertyName` - the property name
  Returns:
    the property value
  Throws:
    `java.lang.IllegalArgumentException` - if the property is null

### setValue

    public boolean setValue(java.lang.Object propertyName,
                            java.lang.Object value)
                     throws java.lang.IllegalArgumentException

  Description copied from interface: `DynamicBean`
  Set the value of the specified property.

  Specified by:
    `setValue` in interface `DynamicBean`
  Parameters:
    `propertyName` - the property name
    `value` - the new property value
  Returns:
    true if the property was succesfully set
  Throws:
    `java.lang.IllegalArgumentException` - if the property name is null

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD